<nav class="navbar main-bar-legacy navbar-expand-lg shadow navbar-light bg-white fixed-top {{if @isVisible '' 'bar-invisible'}} {{if this.isMapPage 'map-menu'}}">
  <div class="container-fluid">
    <LinkTo @route="browse.maps.map-view" @model="_" class="navbar-brand">
      {{#if this.fastboot.isFastBoot}}
        <div class="spinner-border spinner-border-sm" role="status">
          <span class="d-none">Loading...</span>
        </div>
      {{else}}
        <img src="{{this.space.currentSpace.logo.picture}}/xs" class="logo" alt="homepage" />
      {{/if}}
    </LinkTo>

    <button class="navbar-toggler" type="button" aria-expanded="false" aria-label="Toggle navigation" {{on "click" this.toggle}}>
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse {{if this.showingOptions 'show'}}" {{on "click" this.close}}>
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        {{#if @showAbout}}
          <li class="nav-item {{if this.isAbout 'active'}}">
            <LinkTo @route="page" @model="about" class="nav-link btn-about">
              {{capitalize (t "about")}}
            </LinkTo>
          </li>
        {{/if}}

        {{#if @showBrowse}}
          <li class="nav-item {{if this.isBrowsing 'active'}}">
            {{#if this.position.hasGeoLocationPosition}}
              <LinkTo @route="browse" @query={{hash lon=this.position.longitude lat=this.position.latitude}} class="nav-link btn-browse">
                {{capitalize (t "browse")}}
              </LinkTo>
            {{else}}
              <LinkTo @route="browse" class="nav-link btn-browse">
                {{capitalize (t "browse")}}
              </LinkTo>
            {{/if}}
          </li>
        {{/if}}

        {{#if @showCampaigns}}
          <li class="nav-item {{if this.isCampaign 'active'}}">
            <LinkTo @route="campaigns" class="nav-link btn-campaigns">
              {{capitalize (t "surveys")}}
            </LinkTo>
          </li>
        {{/if}}

        {{#if this.allowManage}}
          <DropdownList class="dropdown-manage" @isActive={{this.isManage}} @text={{capitalize (t "manage")}}>
            {{#each @teams as |team|}}
              <LinkTo @route="manage.dashboards.dashboard" @model={{team.id}} class="dropdown-item dropdown-item-dashboard">
                {{team.name}}
              </LinkTo>
            {{/each}}

            {{#if this.user.isAdmin}}
              {{#if @teams}}
                <div class="dropdown-divider"></div>
              {{/if}}

              <h6 class="dropdown-header">{{t "only for administrators"}}</h6>
              <LinkTo @route="manage.teams" class="dropdown-item dropdown-item-teams">
                {{capitalize (t "teams")}}
              </LinkTo>
              <LinkTo @route="manage.languages" class="dropdown-item dropdown-item-languages">
                {{capitalize (t "languages")}}
              </LinkTo>
            {{/if}}
          </DropdownList>
        {{/if}}

        {{#if this.allowAdd}}
          <MainPlus @isActive={{this.isAdd}} />
        {{/if}}
      </ul>

      <ul class="ms-auto navbar-nav">
        <DropdownList class="dropdown-help dropdown-help" @isActive={{this.isHelp}} @icon="question-circle">
          <LinkTo @route="page" @model="help/updates" class="dropdown-item">
            {{capitalize (t "updates")}}
          </LinkTo>

          <LinkTo @route="page" @model="help/faq" class="dropdown-item">
            {{t "FAQ"}}
          </LinkTo>

          {{#if @showWelcomeLink}}
            <LinkTo @route="presentation" @model="welcome" class="dropdown-item">
              {{capitalize (t "welcome presentation")}}
            </LinkTo>
          {{/if}}

          <LinkTo @route="page" @model="help/terms" class="dropdown-item">
            {{capitalize (t "terms of Service")}}
          </LinkTo>

          <LinkTo @route="page" @model="help/privacy" class="dropdown-item">
            {{capitalize (t "privacy Policy")}}
          </LinkTo>

          <div class="dropdown-divider"></div>
          <a href={{this.serviceDesk.url}} target="_blank" rel="noopener noreferrer" class="dropdown-item">
            {{capitalize (t "report issues on Gitlab")}}
          </a>
          <a href="mailto:{{this.serviceDesk.email}}?body=Enter%20the%20issue%20description&subject=Enter%20the%20issue%20title" target="_blank" rel="noopener noreferrer" class="dropdown-item">
            {{capitalize (t "email a new issue")}}
          </a>
        </DropdownList>

        {{#if (gt @languages.length 1)}}
          <LanguageSelector @languages={{@languages}} @onSelect={{@onSelect}} @selectedLocale={{this.selectedLocale}} />
        {{/if}}

        {{#if this.session.isAuthenticated}}
          <UserDropDown @onSignOut={{this.signOutClick}} />
        {{else}}
          <li class="nav-item p-1">
            <LinkTo @route="login" class="btn btn-outline-success btn-sm btn-sign-in capitalize-first-letter">{{t "sign in"}}</LinkTo>
          </li>
        {{/if}}
      </ul>
    </div>

    <div class="loading {{if this.loading.isLoading 'visible' 'invisible'}}">
      <div class="loading-progress">
      </div>
    </div>
  </div>
</nav>